CUTLASS: cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassSimt, ArchTag, ElementA, ElementB, ElementC, ElementAccumulator > Struct Template Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Attributes | List of all members
cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassSimt, ArchTag, ElementA, ElementB, ElementC, ElementAccumulator > Struct Template Reference

`#include <default_gemm_configuration.h>`

## Public Types
using | ThreadblockShape = GemmShape< 128, 128, 8 >
using | WarpShape = GemmShape< 32, 64, 8 >
using | InstructionShape = GemmShape< 1, 1, 1 >
using | EpilogueOutputOp = epilogue::thread::LinearCombination< ElementC, 1, ElementAccumulator, ElementAccumulator >
using | Operator = arch::OpMultiplyAdd

## Static Public Attributes
static int const | kAlignmentA = 1
static int const | kAlignmentB = 1
static int const | kStages = 2

## Member Typedef Documentation

template<typename ArchTag , typename ElementA , typename ElementB , typename ElementC , typename ElementAccumulator >

using cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassSimt, ArchTag, ElementA, ElementB, ElementC, ElementAccumulator >::EpilogueOutputOp = epilogue::thread::LinearCombination< ElementC, 1, ElementAccumulator, ElementAccumulator >

template<typename ArchTag , typename ElementA , typename ElementB , typename ElementC , typename ElementAccumulator >

using cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassSimt, ArchTag, ElementA, ElementB, ElementC, ElementAccumulator >::InstructionShape = GemmShape<1, 1, 1>

template<typename ArchTag , typename ElementA , typename ElementB , typename ElementC , typename ElementAccumulator >

using cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassSimt, ArchTag, ElementA, ElementB, ElementC, ElementAccumulator >::Operator = arch::OpMultiplyAdd

template<typename ArchTag , typename ElementA , typename ElementB , typename ElementC , typename ElementAccumulator >

using cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassSimt, ArchTag, ElementA, ElementB, ElementC, ElementAccumulator >::ThreadblockShape = GemmShape<128, 128, 8>

template<typename ArchTag , typename ElementA , typename ElementB , typename ElementC , typename ElementAccumulator >

using cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassSimt, ArchTag, ElementA, ElementB, ElementC, ElementAccumulator >::WarpShape = GemmShape<32, 64, 8>

## Member Data Documentation

template<typename ArchTag , typename ElementA , typename ElementB , typename ElementC , typename ElementAccumulator >

int const cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassSimt, ArchTag, ElementA, ElementB, ElementC, ElementAccumulator >::kAlignmentA = 1
| static

template<typename ArchTag , typename ElementA , typename ElementB , typename ElementC , typename ElementAccumulator >

int const cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassSimt, ArchTag, ElementA, ElementB, ElementC, ElementAccumulator >::kAlignmentB = 1
| static

template<typename ArchTag , typename ElementA , typename ElementB , typename ElementC , typename ElementAccumulator >

int const cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassSimt, ArchTag, ElementA, ElementB, ElementC, ElementAccumulator >::kStages = 2
| static

The documentation for this struct was generated from the following file:

- default_gemm_configuration.h